ChangeSet 1.1254.1.79, 2003/06/01 23:06:14-07:00, oliver@neukum.org

[PATCH] USB: return errors when disabling a port

this allows us to learn about a port that cannot be disabled. It's needed
for a superrobust usb_reset_device().


 drivers/usb/core/hub.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Mon Jun  2 11:20:08 2003
+++ b/drivers/usb/core/hub.c	Mon Jun  2 11:20:08 2003
@@ -756,7 +756,7 @@
 	return -1;
 }
 
-void usb_hub_port_disable(struct usb_device *hub, int port)
+int usb_hub_port_disable(struct usb_device *hub, int port)
 {
 	int ret;
 
@@ -764,6 +764,8 @@
 	if (ret)
 		dev_err(hubdev(hub), "cannot disable port %d (err = %d)\n",
 			port + 1, ret);
+
+	return ret;
 }
 
 /* USB 2.0 spec, 7.1.7.3 / fig 7-29:
